LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_EEPROM_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_EEPROM_T Struct Reference
CHIP: LPC18xx/43xx EEPROM driver

## Detailed Description

EEPROM register block structure.

Definition at line 60 of file eeprom_18xx_43xx.h.

`#include "eeprom_18xx_43xx.h"`

## Data Fields
__IO uint32_t | CMD
uint32_t | RESERVED0
__IO uint32_t | RWSTATE
__IO uint32_t | AUTOPROG
__IO uint32_t | WSTATE
__IO uint32_t | CLKDIV
__IO uint32_t | PWRDWN
uint32_t | RESERVED2 [1007]
__O uint32_t | INTENCLR
__O uint32_t | INTENSET
__I uint32_t | INTSTAT
__I uint32_t | INTEN
__O uint32_t | INTSTATCLR
__O uint32_t | INTSTATSET

## Field Documentation

__IO uint32_t AUTOPROG

EEPROM auto programming register

Definition at line 64 of file eeprom_18xx_43xx.h.

__IO uint32_t CLKDIV

EEPROM clock divider register

Definition at line 66 of file eeprom_18xx_43xx.h.

__IO uint32_t CMD

EEPROM command register

Definition at line 61 of file eeprom_18xx_43xx.h.

__I uint32_t INTEN

EEPROM interrupt enable

Definition at line 72 of file eeprom_18xx_43xx.h.

__O uint32_t INTENCLR

EEPROM interrupt enable clear

Definition at line 69 of file eeprom_18xx_43xx.h.

__O uint32_t INTENSET

EEPROM interrupt enable set

Definition at line 70 of file eeprom_18xx_43xx.h.

__I uint32_t INTSTAT

EEPROM interrupt status

Definition at line 71 of file eeprom_18xx_43xx.h.

__O uint32_t INTSTATCLR

EEPROM interrupt status clear

Definition at line 73 of file eeprom_18xx_43xx.h.

__O uint32_t INTSTATSET

EEPROM interrupt status set

Definition at line 74 of file eeprom_18xx_43xx.h.

__IO uint32_t PWRDWN

EEPROM power-down register

Definition at line 67 of file eeprom_18xx_43xx.h.

uint32_t RESERVED0

Definition at line 62 of file eeprom_18xx_43xx.h.

uint32_t RESERVED2[1007]

Definition at line 68 of file eeprom_18xx_43xx.h.

__IO uint32_t RWSTATE

EEPROM read wait state register

Definition at line 63 of file eeprom_18xx_43xx.h.

__IO uint32_t WSTATE

EEPROM wait state register

Definition at line 65 of file eeprom_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/eeprom_18xx_43xx.h